Name:           libgnomemm26
Version:        2.8.0
Release:        1%{?dist}
Summary:        A C++ interface for Gnome libs (a GUI library for X)

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgnomemm/2.8/libgnomemm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel >= 2.4.0
BuildRequires:  libgnome-devel >= 2.6.0


%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented
framework.


%package devel
Summary:        Headers for developing programs that will use Gnome--
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       libgnome-devel


%description devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to
the GTK+ (the Gimp ToolKit) GUI library.


%prep
%setup -q -n libgnomemm-%{version}


%build
%configure --disable-static --enable-docs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc %{_datadir}/doc/*
%{_includedir}/libgnomemm-2.6
%{_libdir}/*.so
%{_libdir}/libgnomemm-2.6
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jan 14 2007 Denis Leroy <denis@poolshark.org> - 2.8.0-1
- Update to 2.8.0
- Some spec cleanup, added dist tag

* Thu Jan 27 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.6.0-2
- Add autoreconf patch; fixes build on x86_64

* Mon Jun 27 2004 Denis Leroy <denis@poolshark.org> - 0:2.6.0-0.fdr.1
- Upgrade to 2.6.0

* Wed Oct 22 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.5
- Fix requirements on -devel
- Fix -devel description

* Tue Oct 16 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.4
- Remove Prefix, the package isn't relocatable due to paths in gtkmmproc et.al.

* Mon Oct 15 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.3
- Ignore Doxygen documentation, it doesn't build correctly.
- Fix up prefix

* Sun Oct 14 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.2
- Fix BuildRequires and requires.  --enable-docs

* Sat Oct 13 2003 Michael A. Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.1
- Import of Dag's package to fedora

* Sat Mar 29 2003 Dag Wieers <dag@wieers.com> - 1.3.10-0
- Initial package. (using dar)
